#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/certs.cgi - show certificate file(s)
#
# Copyright (c) 2003-2010  Marcus Herleb, info(at)herleb(dot).de
# Copyright (c) 2011-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2011-04-11 jed
# Last Update:  $Id: certs.cgi 77935 2020-06-10 09:42:46Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# Parse variables...
eval "`proccgi $*`"
echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo

echo '<html><head>'
echo '<title>EISFAIR-Status-Webserver - Menu</title>'
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">'
# special CSS
echo '<style type="text/css"><!--'
echo 'body { font-size: 10pt }'
echo 'a { text-decoration: none }'
echo 'a:hover { color: #00FF00 }'
echo '--></style>'
echo '</head>'
echo '<body>'
echo '<table border="0">'
echo '    <tr>'
echo '        <td align="center" width="40"><img border="0" src="cert.gif" width="31" height="23"></td>'
echo '        <td width="310"><span><h1>&nbsp;Zertifikate importieren</h1></span></td>'
echo '    </tr>'
echo '    <br>'

# ca certificate
if [ -f /usr/local/htdocs/ca.pem ]
then
    echo '    <tr>'
    echo '        <td></td>'
    echo '        <td><a href="ca.pem" title="ca.pem" type="application/x-x509-ca-cert">'
    echo '            <b>&nbsp;&nbsp;&bull;&nbsp;CA Zertifikat</b></a></td>'
    echo '    </tr>'
fi

# server certificate
if [ -f /usr/local/htdocs/mini_httpd.pem ]
then
    echo '    <tr>'
    echo '        <td></td>'
    echo '        <td><a href="mini_httpd.pem" title="mini_httpd.pem" type="application/x-x509-server-cert">'
    echo '            <b>&nbsp;&nbsp;&bull;&nbsp;Server Zertifikat</b></a></td>'
    echo '    </tr>'
fi

# no certificates found
if [ ! -f /usr/local/htdocs/ca.pem -a ! -f /usr/local/htdocs/mini_httpd.pem ]
then
    echo '    <tr>'
    echo '        <td></td>'
    echo '        <td color="red"><b><blink><font color="red">&nbsp;&nbsp;&bull;&nbsp;No certificates found!</font></blink></b></td>'
    echo '    </tr>'
fi

echo '</table>'
echo '<br>'
echo '<table border="0">'
echo '    <tr>'
echo '        <td align="center" width="350"><form method="post"><input type="button" value="Close Window" onclick="window.close()"></form></td>'
echo '    </tr>'
echo '</table>'
echo '</body>'
echo '</html>'
