#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/index.cgi - startfile for the mini_httpd webserver
#
# Copyright (c) 2003-2010  Marcus Herleb, info(at)herleb(dot).de
# Copyright (c) 2011-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2002-05-04 tg
# Last Update:  $Id: index.cgi 77935 2020-06-10 09:42:46Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# parse variables...
eval "`proccgi $*`"

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo

cat <<ENDE
<html>
<head>
<title>EISFAIR-Status-Webserver</title>
<link rel="SHORTCUT ICON" href="favicon.ico">
</head>
ENDE

if [ "$FORM_top" != "off" ]
then
    echo '<frameset rows="95,*" frameborder="0" framespacing="0" border="0">'
    echo '<frame scrolling="no" src="top.html" noresize>'
fi

echo '<frameset cols="130,*" frameborder="0" framespacing="0" border="0">'
echo "<frame name=\"menu\" src=\"menu.cgi?top=$FORM_top\" noresize>"
echo '<frame name="content" src="start.html" noresize>'
echo '</frameset>'

if [ "$FORM_top" != "off" ]
then
    echo '</frameset>'
fi

cat <<ENDE2
<noframes>
<body>
<p>Please go to the <a href="menu.cgi">Menu</a>.
</body>
</noframes>
</html>
ENDE2
