#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/menu.cgi - integrate user-defined commands into the menu
#
# Copyright (c) 2003-2010  Marcus Herleb, info(at)herleb(dot).de
# Copyright (c) 2011-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2001-02-22 tg
# Last Update:  $Id: menu.cgi 71883 2020-01-11 19:49:55Z jed $
#
# Info: The shell has problems with ' and \'
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

rp="/usr/local/htdocs/release"

# Parse variables...
eval "`proccgi $*`"
echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo

echo '<html><head>'
echo '<title>EISFAIR-Status-Webserver - Menu</title>'
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">'
# special CSS
echo '<style type="text/css"><!--'
echo 'body { font-size: 10pt }'
echo 'a { text-decoration: none }'
echo 'a:hover { color: #00FF00 }'
echo '--></style>'
echo '</head>'
echo '<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0"'
echo ' bgcolor="#000000" text="#FFFFFF" link="#FFFF66" vlink="#FFFF00" background="/styles/bg_ramp.jpg"'
echo ' alink="#FFFF00"><p><font size="-1">'

if [ -z "$FORM_top" ]
then
    # default to 'on'
    FORM_top='on'
fi

if [ "$FORM_top" = "off" ]
then
    echo '<a href="index.cgi?top=on" target="_top">&nbsp;Zeige Kopfzeilen</a>'
else
    echo '<a href="index.cgi?top=off" target="_top">&nbsp;Verberge Kopfzeilen</a>'
fi
echo '</font></p><p>'

echo '<table border="0" cellspacing="1" width="105px" bgcolor="#000000" style="border: 1 solid #000080">
    <tr>
        <td width="50%"><font size="1"><b><a title="Eisfair Distributions Version">'
        echo "&nbsp;EIS&nbsp;Vers.:"
        echo '</a></td>
        <td width="50%"><font size="1"><b>'
        echo "`cat /etc/version`"
        echo '</td>
    </tr>
    <tr>
        <td width="50%"><b><font size="1"><a title="Eisfair Kernel Version">&nbsp;Eis&nbsp;Kern&nbsp;:</a></font></b></td>
        <td width="50%"><b><font size="1">'
        . $rp/eiskernel
        echo '</font></b></td>
    </tr>
    <tr>
        <td colspan="2" align="center"><b><font size="1"><a title="Linux Kernel"> '
        . $rp/osrelease
        echo '</font></b></td>
    </tr>
    <tr>
        <td width="50%"><b><font size="1"><a title="Eisfair Status Webserver Version">&nbsp;SW&nbsp;Vers.:</a></font></b></td>
        <td width="50%"><b><font size="1">'
        . $rp/swversion
        echo '</font></b></td>
    </tr>
</table><font size="1"><br></font>'

begin=1
# read the menu file and create a menu
cat /etc/httpd/menu | while read type link des
do
    case "$type" in
        t)
            # table
            if [ $begin -eq 1 ]
            then
                begin=0
            else
                echo '</table><br>'
            fi
            echo '<table border="0" width="100%" cellspacing="1">'
            echo "<tr><td bgcolor=\"#666666\"><p align=\"right\"><b>&nbsp;$des</b></td></tr>"
            ;;
        e)
            # entry
            echo "<tr><td bgcolor=\"#808080\"><a href=\"$link\" target=\"content\">&nbsp;$des</a></td></tr>"
            ;;
        s)
            # self
            echo "<tr><td bgcolor=\"#808080\"><a href=\"$link\" target=\"_self\">&nbsp;$des</a></td></tr>"
            ;;
    esac
done

echo '</table></p></body></html>'

exit 0
