#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/sr.cgi - server shutdown and reboot
#
# Copyright (c) 2003-2010  Marcus Herleb, info(at)herleb(dot).de
# Copyright (c) 2011-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2003-10-11 mgh
# Last Update:  $Id: sr.cgi 77935 2020-06-10 09:42:46Z jed $
#
# Changes:      04.08.2004    correct escaping in the echo's - opi
#                             add usage of sec-lib - opi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

halt_cmd=/sbin/halt.eis
reboot_cmd=/sbin/reboot.eis

SEC_REALM='server'
SEC_ACTION='stop'

. ./sec-lib.cgi

RTIME=10

myname=`basename $0`
tag=`date +%d.%m.%Y`
uhr=`date +%T`
. /etc/config.d/base

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo
echo "<html><head>"
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">'
echo "<meta HTTP-EQUIV=\"Refresh\" CONTENT=\"$RTIME;URL=$myname\">"
echo "<title>Server Switch</title>"
echo "<h2>Server Shutdown und Reboot</h2>"
echo "</head><body>"
echo "<pre>"

if [ "$QUERY_STRING" = "stop" ]
then
    echo "<font size=\"4\" face=\"Verdana\" color=\"#008000\">$HOSTNAME</font> Server shutdown  ...</font>"
    ${halt_cmd}
    sleep 3
elif [ "$QUERY_STRING" = "reboot" ]
then
    ${reboot_cmd}
    echo "<font size=\"4\" face=\"Verdana\" color=\"#008000\">$HOSTNAME</font> Server wird neu gestartet...<br><br> bitte warten ....."
    sleep 3
fi

echo "</pre>"
echo "<table border=\"1\" cellpadding=\"5\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"500\">"
echo "<tr bgcolor=\"#e9e9e9\"><td width=\"82%\"><font size=\"3\" face=\"Verdana\" color=\"#008000\">$HOSTNAME<font color=\"#000000\"> Server ausschalten</b></td>"
echo "<td width=\"18%\" align=\"center\"><input type=\"button\" value=\"    Stop     \" onClick=\"self.location.href='$myname?stop'\"></td></tr>"
echo "<tr><td width=\"82%\"><font size=\"3\" face=\"Verdana\" color=\"#008000\">$HOSTNAME<font color=\"#000000\"> Server neu starten</b></td>"
echo "<td width=\"18%\" align=\"center\"><input type=\"button\" value=\" Neustart  \" onClick=\"self.location.href='$myname?reboot'\"></td></tr>"
echo "</table></body></html>"
exit 0
