#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/syslog.cgi - show the syslog file
#
# Copyright (c) 2003-2010  Marcus Herleb, info(at)herleb(dot).de
# Copyright (c) 2011-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2001-02-24 tg
# Last Update:  $Id: syslog.cgi 71883 2020-01-11 19:49:55Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

#exec 2> /tmp/mini-syslog-trace$$.log
#set -x

SEC_REALM='logs'
SEC_ACTION='view'

. ./sec-lib.cgi

# Parse variables...
eval "`proccgi $*`"

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo
echo '<html><head>'
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">'
echo '<title>Syslog</title>'
echo '</head><body bgcolor="#FFFFFF" text="#000000">'

# disable pathname expansion
set -f

if [ -z "$FORM_target" ]
then
    FORM_target='*.*'
fi

if [ ! -f /etc/syslog.conf ]
then
    echo "<h1>Error</h1><p>No Syslog installed!"
    exit 1
fi

for FNAME in `grep "${FORM_target}" /etc/syslog.conf | cut -d' ' -f2`
do
    if [ -f ${FNAME} ]
    then
        printout=${FNAME}
        break
    fi
done

if [ ! -f "${printout}" ]
then
    printout=''
fi

# enable pathname expansion
set +f

if [ -z "$printout" ]
then
  echo "<h1>Error</h1><p>No file for Syslog-Target $FORM_target found!"
  exit 1
fi

echo "<h2>Syslog</h2><p>File: $printout ($FORM_target)<pre>"
echo '<textarea cols="100" rows="25" name="textfeld">'
sed '1!G;h;$!d' $printout
echo '</textarea>'
echo '</pre></body></html>'

exit 0
